API referenceSuppressions

Suppress several addresses

POST/suppressions/batch/add

Up to 100 addresses, each added to SES first, then to the mirror.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/suppressions/batch/add" \  -H "Content-Type: application/json" \  -d '{    "emails": [      "string"    ]  }'
{  "data": [    {      "object": "suppression",      "id": "string",      "targets": [        {          "connection_id": "string",          "provider": "ses",          "status": "suppressed",          "error": {            "name": "string",            "message": "string"          }        }      ]    }  ]}